Package org.eclipse.ecf.provider.comm.tcp

# Class SynchMessage

java.lang.Object
org.eclipse.ecf.provider.comm.tcp.AsynchMessage
org.eclipse.ecf.provider.comm.tcp.SynchMessage

All Implemented Interfaces:
  `Serializable`

public class SynchMessage extends AsynchMessage

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SynchMessage()`
`SynchMessage(Serializable data)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.eclipse.ecf.provider.comm.tcp.AsynchMessage

`getData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SynchMessage

public SynchMessage(Serializable data)

Parameters:
  `data` - data
Since:
  4.3

### SynchMessage

public SynchMessage()

Since:
  4.3

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `AsynchMessage`